# Don't support by g95
#define _ssp_cflags #nil
#define Werror_cflags #nil
# kept g95 option even if the compilation is made with gfortran
#define g95flags #( echo #optflags | sed 's/-mtune=[^ ]*//' )

#(eatdirt) Instead, define g95flags as we do for other packages to
#improve security and because it works fine
%define g95flags %(echo %{?build_fflags} -std=legacy | sed -e 's/-Wformat -Werror=format-security//g')
%define cflags %{optflags}

# (tv) remove bogus file deps, tcsh deps is automatically emitted:
%global __requires_exclude /usr/bin/csh

Summary: A simple scientific visualization tool
Name: xd3d
Version: 8.3.1
Release: %mkrel 20
Source0: %{name}-%{version}.tar.gz
Patch0:  xd3d-8.3.1-fix-building-with-gcc14.patch
License: GPL
Group: Sciences/Other
Url: http://www.cmap.polytechnique.fr/~jouve/xd3d/
BuildRequires: gcc-gfortran
BuildRequires: pkgconfig(xpm)
Buildrequires: pkgconfig(x11)
BuildRequires: pkgconfig(zlib)

%description
Xd3d is a simple scientific visualization tool designed to be easy to learn.
It can plot 2d and 3d meshes, with shadowing, contour plots, vector fields,
iso-contour (3d), as well as 3d surfaces z=f(x,y) defined by an algebraic
expression or a cloud of points. It generates high quality vector PostScript
files for scientific publications and still or animated bitmap images. It
includes the graph plotter xgraphic.

%prep
%autosetup -p1

perl -pi -e "s!^XD3D_DIR =.*!XD3D_DIR = `pwd`!" RULES
perl -pi -e 's!^INSTALL_DIR =.*!INSTALL_DIR = %_bindir!' RULES
perl -pi -e 's!^OPTC =.*!OPTC = %cflags!' RULES
perl -pi -e 's!^OPTF =.*!OPTF = %g95flags!' RULES
perl -pi -e 's!^LIBX11 =.*!LIBX11 = %_libdir!' RULES
perl -pi -e 's!^COMPILF =.*!COMPILF = gfortran!' RULES
perl -pi -e 's!\$\(COMPILF\) \$\(OPTF\) -o!\$(COMPILF) \$(OPTF) %ldflags -o!' RULES

%build
make

%install
mkdir -p %buildroot%_bindir

make install INSTALL_DIR=%buildroot%_bindir

%files
%doc CHANGELOG BUGS FORMATS README
%doc Examples Manuals
%_bindir/*





%changelog
* Tue Oct 22 2024 ns80 <ns80> 8.3.1-20.mga10
+ Revision: 2109753
- try to fix building with GCC 14

* Wed Mar 30 2022 umeabot <umeabot> 8.3.1-19.mga9
+ Revision: 1835425
- Mageia 9 Mass Rebuild

* Tue Dec 08 2020 ghibo <ghibo> 8.3.1-18.mga8
+ Revision: 1654505
- Fix building for newer gfortran

* Fri Feb 14 2020 umeabot <umeabot> 8.3.1-17.mga8
+ Revision: 1519426
- Mageia 8 Mass Rebuild

* Fri Oct 12 2018 tv <tv> 8.3.1-16.mga7
+ Revision: 1319887
- fix deps

* Sun Sep 23 2018 umeabot <umeabot> 8.3.1-15.mga7
+ Revision: 1301828
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 eatdirt <eatdirt> 8.3.1-14.mga7
+ Revision: 1246626
- Rebuild for new gfortran

* Mon Sep 11 2017 tv <tv> 8.3.1-13.mga7
+ Revision: 1152906
- rebuild for new libgfortran

* Thu Feb 04 2016 umeabot <umeabot> 8.3.1-12.mga6
+ Revision: 934512
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 8.3.1-11.mga5
+ Revision: 738946
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 8.3.1-10.mga5
+ Revision: 725282
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 8.3.1-9.mga5
+ Revision: 690575
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 8.3.1-8.mga4
+ Revision: 520510
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 8.3.1-7.mga3
+ Revision: 386707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 08 2011 grenoya <grenoya> 8.3.1-6.mga2
+ Revision: 96376
- change fortran compiler to gfortran (instead of g95)
- imported package xd3d


* Fri Jan 28 2011 Funda Wang <fwang@mandriva.org> 8.3.1-6mdv2011.0
+ Revision: 633695
- simplify BR

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 8.3.1-5mdv2009.0
+ Revision: 262305
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 8.3.1-4mdv2009.0
+ Revision: 256690
- rebuild

* Sat Feb 09 2008 Olivier Thauvin <nanardon@mandriva.org> 8.3.1-2mdv2008.1
+ Revision: 164524
- fix ix86 g95 flags
- 8.3.1
- don't use stask-protector CFLAGS as g95 don't handle it

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import xd3d


* Sat Dec 31 2005 Olivier Thauvin <nanardon@mandriva.org> 8.2.3-1mdk
- 8.2.3

* Fri Dec 23 2005 Nicolas Lécureuil <neoclust@mandriva.org> 8.2.2-2mdk
- Fix BuildRequires (s/gcc-g77/gcc-gfortran/)
- use mkrel

* Tue Nov 16 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 8.2.2-1mdk
- First mdk contrib 

